Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class SelectionType

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.SelectionType

public class SelectionType
extends Object

Field Summary
`static String` | `cName`
`static int` | `I_ROUND_ROBIN_1_BY_1`
`static int` | `I_SET`
`static SelectionType` | `ROUND_ROBIN_1_BY_1`
`static String` | `S_ROUND_ROBIN_1_BY_1`
`static String` | `S_SET`
`static SelectionType` | `SET`

Method Summary
`boolean` | `equals(Object object)`
`int` | `getInt()`
`static SelectionType` | `getObject(String token)`
`String` | `getString()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

### I_ROUND_ROBIN_1_BY_1

    public static final int I_ROUND_ROBIN_1_BY_1

See Also:
  Constant Field Values

### I_SET

    public static final int I_SET

See Also:
  Constant Field Values

### ROUND_ROBIN_1_BY_1

    public static final SelectionType ROUND_ROBIN_1_BY_1

### S_ROUND_ROBIN_1_BY_1

    public static final String S_ROUND_ROBIN_1_BY_1

See Also:
  Constant Field Values

### S_SET

    public static final String S_SET

See Also:
  Constant Field Values

### SET

    public static final SelectionType SET

Method Detail

### equals

    public boolean equals(Object object)

### getInt

    public int getInt()

### getObject

    public static SelectionType getObject(String token)

### getString

    public String getString()

### hashCode

    public int hashCode()

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved